Package com.massivecraft.factions.integration

## Class Econ

- java.lang.Object
- - com.massivecraft.factions.integration.Econ

    public class Econ
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`Econ()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static double` | `calculateClaimCost​(int ownedLand, boolean takingFromAnotherFaction)` |
`static double` | `calculateClaimRefund​(int ownedLand)` |
`static double` | `calculateTotalLandRefund​(int ownedLand)` |
`static double` | `calculateTotalLandValue​(int ownedLand)` |
`static boolean` | `canIControllYou​(EconomyParticipator i, EconomyParticipator you)` |
`static boolean` | `deposit​(java.lang.String account, double amount)` |
`static double` | `getBalance​(java.lang.String account)` |
`static java.util.Set<FPlayer>` | `getFplayers​(EconomyParticipator ep)` |
`static java.lang.String` | `getFriendlyBalance​(FPlayer player)` |
`static java.lang.String` | `getFriendlyBalance​(java.util.UUID uuid)` |
`static boolean` | `hasAccount​(java.lang.String name)` |
`static boolean` | `hasAtLeast​(EconomyParticipator ep, double delta, java.lang.String toDoThis)` |
`static boolean` | `isSetup()` |
`static boolean` | `isUUID​(java.lang.String uuid)` |
`static boolean` | `modifyBalance​(java.lang.String account, double amount)` |
`static boolean` | `modifyMoney​(EconomyParticipator ep, double delta, java.lang.String toDoThis, java.lang.String forDoingThis)` |
`static void` | `modifyUniverseMoney​(double delta)` |
`static java.lang.String` | `moneyString​(double amount)` |
`static void` | `sendBalanceInfo​(org.bukkit.command.CommandSender to, Faction about)` |
`static void` | `sendTransferInfo​(EconomyParticipator invoker, EconomyParticipator from, EconomyParticipator to, double amount)` |
`static boolean` | `setBalance​(java.lang.String account, double amount)` |
`static void` | `setup()` |
`static boolean` | `shouldBeUsed()` |
`static boolean` | `transferMoney​(EconomyParticipator invoker, EconomyParticipator from, EconomyParticipator to, double amount)` |
`static boolean` | `transferMoney​(EconomyParticipator invoker, EconomyParticipator from, EconomyParticipator to, double amount, boolean notify)` |
`static boolean` | `withdraw​(java.lang.String account, double amount)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Econ

    public Econ()

### Method Detail

#### setup

    public static void setup()

#### shouldBeUsed

    public static boolean shouldBeUsed()

#### isSetup

    public static boolean isSetup()

#### modifyUniverseMoney

    public static void modifyUniverseMoney​(double delta)

#### sendBalanceInfo

    public static void sendBalanceInfo​(org.bukkit.command.CommandSender to,
                                       Faction about)

#### canIControllYou

    public static boolean canIControllYou​(EconomyParticipator i,
                                          EconomyParticipator you)

#### transferMoney

    public static boolean transferMoney​(EconomyParticipator invoker,
                                        EconomyParticipator from,
                                        EconomyParticipator to,
                                        double amount)

#### transferMoney

    public static boolean transferMoney​(EconomyParticipator invoker,
                                        EconomyParticipator from,
                                        EconomyParticipator to,
                                        double amount,
                                        boolean notify)

#### getFplayers

    public static java.util.Set<FPlayer> getFplayers​(EconomyParticipator ep)

#### sendTransferInfo

    public static void sendTransferInfo​(EconomyParticipator invoker,
                                        EconomyParticipator from,
                                        EconomyParticipator to,
                                        double amount)

#### hasAtLeast

    public static boolean hasAtLeast​(EconomyParticipator ep,
                                     double delta,
                                     java.lang.String toDoThis)

#### modifyMoney

    public static boolean modifyMoney​(EconomyParticipator ep,
                                      double delta,
                                      java.lang.String toDoThis,
                                      java.lang.String forDoingThis)

#### moneyString

    public static java.lang.String moneyString​(double amount)

#### calculateClaimCost

    public static double calculateClaimCost​(int ownedLand,
                                            boolean takingFromAnotherFaction)

#### calculateClaimRefund

    public static double calculateClaimRefund​(int ownedLand)

#### calculateTotalLandValue

    public static double calculateTotalLandValue​(int ownedLand)

#### calculateTotalLandRefund

    public static double calculateTotalLandRefund​(int ownedLand)

#### hasAccount

    public static boolean hasAccount​(java.lang.String name)

#### getBalance

    public static double getBalance​(java.lang.String account)

#### getFriendlyBalance

    public static java.lang.String getFriendlyBalance​(java.util.UUID uuid)

#### getFriendlyBalance

    public static java.lang.String getFriendlyBalance​(FPlayer player)

#### setBalance

    public static boolean setBalance​(java.lang.String account,
                                     double amount)

#### modifyBalance

    public static boolean modifyBalance​(java.lang.String account,
                                        double amount)

#### deposit

    public static boolean deposit​(java.lang.String account,
                                  double amount)

#### withdraw

    public static boolean withdraw​(java.lang.String account,
                                   double amount)

#### isUUID

    public static boolean isUUID​(java.lang.String uuid)